GDB (xrefs)

Static Public Member Functions | List of all members
gdb.command.explore.ReferenceExplorer Class Reference
Inheritance diagram for gdb.command.explore.ReferenceExplorer:

## Static Public Member Functions
def | explore_expr (expr, value, is_child)
def | explore_type (name, datatype, is_child)
def | explore_expr (expr, value, is_child)
def | explore_type (name, datatype, is_child)

## Detailed Description

    Internal class used to explore reference (TYPE_CODE_REF) values.

Definition at line 301 of file explore.py.

## Member Function Documentation

## ◆ explore_expr() [1/2]

def gdb.command.explore.ReferenceExplorer.explore_expr | ( |  | expr,
|  |  | value,
|  |  | is_child
| ) |  |
| static

    Function to explore array values.
    See Explorer.explore_expr for more information.

Definition at line 305 of file explore.py.

Referenced by gdb.command.explore.ReferenceExplorer.explore_expr().

## ◆ explore_expr() [2/2]

def gdb.command.explore.ReferenceExplorer.explore_expr | ( |  | expr,
|  |  | value,
|  |  | is_child
| ) |  |
| static

    Function to explore array values.
    See Explorer.explore_expr for more information.

Definition at line 305 of file explore.py.

References gdb.command.explore.ReferenceExplorer.explore_expr().

## ◆ explore_type() [1/2]

def gdb.command.explore.ReferenceExplorer.explore_type | ( |  | name,
|  |  | datatype,
|  |  | is_child
| ) |  |
| static

    Function to explore pointer types.
    See Explorer.explore_type for more information.

Definition at line 314 of file explore.py.

References gdb.command.explore.ReferenceExplorer.explore_type().

## ◆ explore_type() [2/2]

def gdb.command.explore.ReferenceExplorer.explore_type | ( |  | name,
|  |  | datatype,
|  |  | is_child
| ) |  |
| static

    Function to explore pointer types.
    See Explorer.explore_type for more information.

Definition at line 314 of file explore.py.

Referenced by gdb.command.explore.ReferenceExplorer.explore_type().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/command/explore.py